<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>V2 Vuejs</title>
</head>
<body>
    <div id="container">
        Contador: {{conunt}}
        <br>
 
    </div>

    <div id="app">
        {{mensaje}}

        <button v-on:click="reverserText">Reverse text</button>
    </div>

    <script src="https://unpkg.com/vue@next"></script>
    <script>
        const Count = {
            data(){
                return{
                    conunt: 0
                }
            },
            mounted(){
                setInterval(()=>{
                        this.conunt++
                    },500)
            }
        }
        Vue.createApp(Count).mount('#container')

        const Reverse = {
            data(){
                return{
                    mensaje:'Hola  mundo',
                }
            },
            mounted(){
                this.mensaje = this.mensaje.split('').reverse().join('');
            }
        }
        Vue.createApp(Reverse).mount('#app')

    </script>
</body>
</html>